<?php
/*
	@header General Library
	This is the general library that contains misc functions
	that doesn't have a home elsewhere
*/

/*!
	@function sql_escape
	@discussion this takes a sql statement
	and properly escapes it before a query is run 
	against it. 
*/
function sql_escape($sql) {

	if (function_exists('mysql_real_escape_string') && is_resource(dbh())) {
		$sql = mysql_real_escape_string($sql,dbh());
	}
	else {
		$sql = mysql_escape_string($sql);
	}

	return $sql;

} // sql_escape

/*!
	@function libglue_param
	@discussion returns a param from libglue config
*/
function libglue_param($param,$clobber=0)
{
	static $params = array();
	if(is_array($param))
	//meaning we are setting values
	{
		foreach ($param as $key=>$val)
		{
			if(!$clobber && isset($params[$key]))
			{
				echo "Error: attempting to clobber $key = $val\n";
				exit();
			}
			$params[$key] = $val;
		}
		return true;
	}
	else
	//meaning we are trying to retrieve a parameter
	{
		if(isset($params[$param])) return $params[$param];
		else return false;
	}
}















?>
