<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: rcn_disabled.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/rcn_disabled.inc $

 This message shows up if their host has been disabled

*/
$url = "http://uhds.oregonstate.edu/resnet/maintaindocs/disabled.php?username=" . $user->username;
$did_include = include($url);

$autoreg = new Autoreg($user->username);

$hosts = $autoreg->hosts;
if ($hosts) { 
	foreach ($hosts as $key => $host) { 
		$host = new Host($host->id);
		$comment = $autoreg->get_disabled_reason($host);
		if (!$comment) { $comment = "None Given"; } 
?>
<p><b>Host Information</b><br />
<ul>
<li>Hardware Address:<?= $host->ha; ?></li>
<li>Hardware Type:<?= $host->type; ?></li>
</ul>
</p>
<p>Reason for Disable:
&nbsp;&nbsp;&nbsp;<?= $comment; ?></p>
<hr />
<?
	} // end foreach 
} // end if hosts
?>


