<?php

/*

 $Id: show_add_ip.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_add_ip.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Add IP Template
	This tool allows you to add IP blocks 

*/

?>

<p class="header2">Adding a new IP Block</p>
<form name="add_block" method="post" action="<?= $conf['web_path']; ?>/ip.php" enctype="multipart/form-data" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr class="widget-title">
		<td colspan="2">Add IP Block</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>IP Block Name:</td>
		<td>
		<input name="name" value="<?= $name; ?>" size="35" />
		<? if ( $conf['error']->get_status('name') ) { $conf['error']->show_message('name'); } ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>Start Address:</td>
		<td>
		<input name="start_block" value="<?= $start_block; ?>" size="18" maxlength="15" />
		<? if ( $conf['error']->get_status('start') ) { $conf['error']->show_message('start'); } ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>End Address:</td>
		<td><input name="end_block" value="<?= $end_block; ?>" size="18" maxlength="15" /></td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>Enabled:</td>
		<td><input type="checkbox" name="enabled" value="1" <? if ($enabled) { echo "CHECKED"; } ?>  /></td>
	</tr>
	
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
			<? if ( $user->is_admin ) { ?>
			<input type="hidden" name="action" value="add_ip_block" />
			<input type="submit" value="Add IP Block" />
			<? } ?>
			&nbsp;&nbsp;
			<input type="submit" value="Cancel" name="action" />
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
</form>

