<?php

/*


 $Id: show_bulk_delete.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_bulk_delete.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*!
	@header Show Bulk Delete
 This is the form for deleting a large number of hosts..
 First you pick the range you want to work from then 
 Then you put check boxes by the ones you want to delete.
 Send them to a confirm page then nuke the poor hosts

 Select == Pick where you want to get the hosts from, range or domain within current zone
	Depends upong show_bulk_select.inc
 Show == Display the selected hosts so you can pick which ones to delete
 Confirm == Confirm the selected hosts right before they are deleted

*/

if ($action == "select_bulk_delete") { 
	?><p><font class="header2">Select Hosts for Bulk Deletion</font></p><?
	$conf['help']->display_help("tool_bulk_delete");
	$next_action = "view_bulk_delete";
	require ($conf['prefix'] . "/templates/show_bulk_select.inc"); 
} //end of show_bulk_delete 

/* ########################## */
/* ########################## */

elseif ($action == "view_bulk_delete") { ?>
<SCRIPT TYPE="text/javascript">
function setCheckboxes(the_form, do_check)
{
    var elts      = document.forms[the_form].elements['hosts[]'];
    var elts_cnt  = elts.length;

    for (var i = 0; i < elts_cnt; i++) {
        elts[i].checked = do_check;
    } // end for

    return true;
} // end of the 'setCheckboxes()' function
</script>


	
<p class="header2">Viewing Hosts for Deletion</p>
<form name="bulk" action="<?= $conf['web_path']; ?>/host.php" method="post" enctype="multipart/form-data" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" bgcolor="<?= $conf['dark_bgcolor']; ?>" width="100%">
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Delete?</td>
	<td>Hostname</td>
	<td>IP Address</td>
	<td>Last Seen</td>
</tr>
<? foreach ($hosts as $host) { ?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="hosts[]" value="<?= $host->id; ?>" /></td>
		<td><?= $host->hostname; ?></td>
		<td>
		<?
		if ($host->ip) { $conf['ui']->display_field($host->ip->ip_addr); }
		else { echo "Dynamic"; }
		?>
		</td>
		<td>
		<? 
		if ($host->last_seen) { 
			$conf['ui']->display_field(date("m\/d\/y",$host->last_seen)); 
		}
		else {
			echo "<font class=\"error\">Never Seen</font>";
		}
		?>
		</td>
	</tr>
<? } //end foreach ?>
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td colspan="2" align="left">
	<input name="select_all" type="button" value="Select All" ONCLICK="setCheckboxes('bulk',true)" />
	<input name="unselect_all" type="button" value="Unselect All" ONCLICK="setCheckboxes('bulk',false)" />
	</td>
	<td colspan="2">
	<input type="hidden" name="action" value="confirm_bulk_delete" />
	<input type="submit" value="Delete!" />&nbsp;&nbsp;
	<input type="submit" name="action" value="Cancel" />
	</td>
</table>
<? show_template('bborder'); ?>
</form>

<? 
} //end of show_bulk_delete
/*
##################################
CONFRIM TIME!!!!!!
##################################
*/
//now that we have the array let's confirm it!
elseif ($action == "confirm_bulk_delete") { 
?>
<p><font class="header2">Confirm Hosts for Deletion</font></p>
<p><font class="error">Are you sure you want to delete the following Hosts?</font></p>
<form name="bulk" action="<?= $conf['web_path']; ?>/host.php" method="post" enctype="multipart/form-data" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" bgcolor="<?= $conf['dark_bgcolor']; ?>" width="100%">
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td>Hostname</td>
        <td>IP Address</td>
        <td>Last Seen</td>
</tr>
<? foreach ($hosts as $host_id) { ?>
<? $host = new Host($host_id); ?>
        <tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td>
		<input type="hidden" name="hosts[]" value="<?= $host->id; ?>" />
		<?= $host->hostname; ?>
		</td>
                <td>
                <?
                if ($host->ip) { $conf['ui']->display_field($host->ip->ip_addr); }
                else { echo "Dynamic"; }
                ?>
                </td>
                <td>
                <?
                if ($host->last_seen) {
                        $conf['ui']->display_field(date("m\/d\/y",$host->last_seen));
                }
                else {
                        echo "<font class=\"error\">Never Seen</font>";
                }
                ?>
                </td>
        </tr>
<? } //end foreach ?>
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td align="left">
        <input type="hidden" name="action" value="bulk_delete" />
        <input type="submit" value="Really Delete!" />
	</td>
        <td colspan="2">&nbsp;</td>
</table>
<? show_template('bborder'); ?>
</form>
<? } //end confirm for bulk delete ?>




