<?php

/*

 $Id: show_bulk_select.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_bulk_select.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*!
	@header Show Bulk Select
	The is the select form for bulk work... It allows them to pick a wide varity of 
	Ways of selecting a large number of hosts... used by bulk_update and bulk_delete
 	Simply set $next_action to what needs to happen next :)

*/

?>
<form action="<?= $conf['web_path']; ?>/host.php" method="post" enctype="multipart/form-data" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" bgcolor="<?= $conf['dark_bgcolor']; ?>" width="100%">
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td><input type="radio" name="select_type" value="defined_range" /></td>
	<td>Select from Range:</td>
	<td>
	<?
	$ranges = $conf['zone']->ip_ranges();
	$conf['ui']->show_ip_ranges_select($ranges,$ranges[0]); 	
	?>
	</td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td valign="top"><input type="radio" name="select_type" value="custom_range" /></td>
	<td valign="top">Select from Custom Range:</td>
	<td>
	Start:<input type="textbox" size="18" maxlength="15" name="start_range" />
	 <? if ($conf['error']->get_status('start_range') ) { $conf['error']->show_message('start_range'); } ?><br />
	End:<input type="textbox" size="18" maxlength="15" name="end_range" />
	 <? if ($conf['error']->get_status('end_range') ) { $conf['error']->show_message('end_range'); } ?>
	</td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td><input type="radio" name="select_type" value="domain" /></td>
	<td>Select from Domain:</td>
	<td> 
	<? 
	$domains = $conf['zone']->domains();
	$conf['ui']->show_domain_select($domains,$domains[0]); 
	?>
	</td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td><input type="radio" name="select_type" value="hostname" /></td>
	<td>Select where Hostname Like:</td>
	<td><input type="textbox" name="hostname" size="18"/></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td><input type="radio" name="select_type" value="other" /></td>
	<td>Host Field:
		<select name="select_field">
		<? 
			$fields = array('ha' => 'Hardware Address', 'os' => 'Operating System', 
			'type' => 'Hardware Type', 'other_id' => 'Other ID', 'location' => 'Location', 
			'serial' => 'Serial', 'ttl' => 'TTL','purchase_date' => 'Purchase Date',
			'po_number' => 'PO Number', 'warranty_date' => 'Warranty Date', 'owning_unit' => 'Owning Unit',
			'user_id' => 'User ID');
			asort($fields);
			foreach ($fields as $key => $value) {
				echo "\t<option value=\"$key\">$value</option>\n";
			}
		?>	
		</select>
	</td>
	<td><input type="textbox" name="value" size="18" /></td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>
	<input type="hidden" name="action" value="<?= $next_action; ?>" />
	<input type="submit" value="Find Hosts!" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>






