<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_user.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_user.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show User Template
	Show a single user, if you are the user then show the perferences page as well...

*/

?>

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="2">Maintain User Information</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Username:</td>
	<td><? $conf['ui']->display_field($user_view->username); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Last Seen:</td>
	<td><? $conf['ui']->display_field(date("F j, Y, g:i a", $user_view->last_seen)); ?></td>
</tr>
<? if ($user->is_admin || $user->username == $user_view->username) { ?>
<tr>
	<td colspan="2" class="widget-title">Recent Activity</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Last Record Updated: <!-- [View All Updates] --></td>
	<td>
	<? $object = $user_view->get_last_updated_object(); ?>
	<a href="<?= $object->link; ?>"><?= $object->name; ?></a>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td colspan="2" class="widget-title">
	<form name="prefs" style="Display:inline" method="post" enctype="multipart/form-data" action="<?= $conf['web_path']; ?>/user.php">
	Preferences
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Email Address: </td>
	<?php 
		// Decide whether or not to allow the user to edit their email
		if ($conf['force_email_domain'] == 'false') {
			$email_field = '<input type="textbox" name="email" value="'. $user_view->email . '" size="28" />';
		}
		else {
			$email_field = $user_view->email;
		}
	?>
	<td><? echo $email_field ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Set Default Zone:</td>
	<td><? $zones = $user_view->zones(); $conf['ui']->show_zone_select($zones,$user_view->preferred_zone); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Set View Limit:</td>
	<td>
	<select name="list_view">
        <?
                $arr = array(25,50,75,100);

                foreach ($arr as $a) {
        ?>
                <option value="<? echo $a ?>" <? if ($a == $user->list_view) { echo "SELECTED"; } ?>><? echo $a ?></option>
        <?
                }
        ?>
        </select>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Set View Type:</td>
	<td>
       <select name="host_view">
                <option value="basic" <? if ($user->host_view == 'basic') { echo "SELECTED"; } ?> >Basic</option>
                <option value="advanced" <? if ($user->host_view == 'advanced') { echo "SELECTED"; } ?> >Advanced</option>
        </select>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Set Color Template</td>
	<td><? $conf['color']->show_color_select(); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Set Font Size:</td>
	<td><input type="text" size="3" name="ui_size" value="<?= $user->ui_size ?>"></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td colspan="2">
	<input type="hidden" name="action" value="update_user_prefs" />
	<input type="hidden" name="username" value="<?= $user_view->username; ?>" />
	<input type="submit" value="Update Preferences" />&nbsp;&nbsp;&nbsp;
	<input type="submit" name="action" value="Cancel" />
	</form>
	</td>
</tr>
<? } ?>


</table>
<? show_template('bborder'); ?>

<? if ($user_view->check_mysql_auth_name($user_view->username) AND ( $user->is_admin || $user->username == $user_view->username) ) { ?>
<br /><br />
<? show_template('tborder'); ?>
<form method="post" name="passwd" action="<?= $conf['web_path']; ?>/user.php" enctype="multipart/form-data" style="Display:inline">
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td class="widget-title" colspan="2">Manage Password</td>
</tr>
<? if ($user_view->username == $user->username) { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Current Password:</td>
	<td>
	<input type="password" name="current_pass" />
	<? $conf['error']->show_message('current_pass'); ?>
	</td>
</tr>
<? } ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>New Password:</td>
	<td>
	<input type="password" name="new_pass" />
	<? $conf['error']->show_message('new_pass'); ?>
	</td>
	
</tr>
<? if ($user_view->username == $user->username) { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Confirm Password:</td>
	<td>
	<input type="password" name="confirm_pass" />
	<? $conf['error']->show_message('confirm_pass'); ?>
	</td>
</tr>
<? } ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
	<input type="hidden" name="username" value="<?= $user_view->username; ?>" />
	<input type="hidden" name="action" value="set_local_password" />
	<input type="submit" value="Set Password" />&nbsp;&nbsp;
	<input type="submit" value="Cancel" name="action" />
	
</table>
</form>
<? show_template('bborder'); ?>
<? } ?>


