<?php

/*

 $Id: show_admin_option.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_admin_option.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Admin DHCP Option Template
	@discussion this forms shows the edit mojo for a
		admin dhcp option
*/
?>

<p class="header2">Editing a DHCP Option</p>

<form name="update_admin_optin" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/option.php">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('option_name'); ?>"><? $conf['help']->show_link('option_name'); ?>Option Name: </td>
	
                <td>
                        <input name="name" value="<?= $adminoption->name; ?>" size="35" />
                        <? $conf['error']->show_message('option_name'); ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor();  ?>">
                <td title="<? $conf['help']->title('option_type'); ?>"><? $conf['help']->show_link('option_type'); ?>Option Type: </td>
                <td>
			<? ${$adminoption->type} = 'SELECTED'; ?>
                	<select name="option_type">
				<option value="default" <?= $default; ?>>Default</option>
				<option value="option" <?= $option; ?>>Option</option>
				<option value="quoted" <?= $quoted; ?>>Quoted</optoin>
				<option value="quoted-option" <?= $quoted-option; ?>>Quoted-Option</option>
			</select>
		</td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('option_access'); ?>"><? $conf['help']->show_link('option_access'); ?>Option Access Level:</td>
		<td>
			<? 
				$varname = 'set_' . $adminoption->access;
				${$varname} = 'SELECTED'; 
			?>
			<select name="access">
				<option value="50" <?= $set_50; ?>>Zone Admin</option>
				<option value="100" <?= $set_100; ?>>Admin</opion>
			</select>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('option_custom'); ?>"><? $conf['help']->show_link('option_custom'); ?>Create Custom Option?</td>
		<td>
			<? if ($adminoption->custom == 'true') { $checked = 'CHECKED'; } ?>
			<input type="checkbox" name="is_custom" value="true" onclick="flipField('space');flipField('value');" <?= $checked; ?> />
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('option_space'); ?>"><? $conf['help']->show_link('option_space'); ?>Custom Option Space:</td>
		<td>
			<? if ($adminoption->custom == 'false') { $is_custom = 'disabled'; } ?>
			<input type="textbox" name="space" id='space' value="<?= $adminoption->space; ?>" <?= $is_custom; ?>/>
			<? $conf['error']->show_message('option_space'); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('option_value'); ?>"><? $conf['help']->show_link('option_value'); ?>Custom Option Value:</td>
		<td>
			<input type="textbox" id="value" size="65" name="value" value="<?= $adminoption->value; ?>" <?= $is_custom; ?>/>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
                <td>
		<input value="Update Option" type="submit" />&nbsp;&nbsp;
                <input type="hidden" name="action" value="update_admin_option" />
		<input type="submit" name="action" value="Cancel" />
                </td>
        </tr>
</table>
<? show_template('bborder'); ?>
</form>

