<?php
/*

 $Id: show_bulk_host_zone_move.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_bulk_host_zone_move.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

/*!
	@header Show Bulk Host Zone Move Template
	This template displays the forms we need in order to select the hosts we want to move to a different zone.
*/

//passes the selecting off to the "bulk_select.inc" mojo
if ($action == "select_bulk_hosts_zone_move") {
        ?><p class="header2">Select Hosts for Bulk Zone Move</p><?
        $conf['help']->display_help("tool_bulk_update");
        $next_action = "view_bulk_hosts_zone_move";
        require ($conf['prefix'] . "/templates/show_bulk_select.inc");
} //end of show_bulk_update


elseif ($action == "view_bulk_hosts_zone_move") { 

$domains  = $conf['zone']->domains()

?>

<SCRIPT TYPE="text/javascript">
function setCheckboxes(the_form, do_check)
{
    var elts      = document.forms[the_form].elements['hosts[]'];
    var elts_cnt  = elts.length;

    for (var i = 0; i < elts_cnt; i++) {
        elts[i].checked = do_check;
    } // end for

    return true;
} // end of the 'setCheckboxes()' function
</script>


<p><font class="header2">Bulk Host Update Information</font></p>

<form name="bulk" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/host.php">

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<?= $conf['color']->bg['light']; ?>">
	<tr class="widget-title">
		<td colspan="2">Moving Hosts to new Zone</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>Target Zone:</td>
		<td>
		<?
			$zones = $user->zones();
	                $conf['ui']->show_zone_select($zones,$zones[0],"zone_id");
		?>
		</td>
        </tr>
</table>
<? show_template('bborder'); ?>
<br /><br />
 

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" bgcolor="<?= $conf['dark_bgcolor']; ?>" width="100%">
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td>Update?</td>
        <td>Hostname</td>
        <td>IP Address</td>
        <td>Last Seen</td>
</tr>
<? foreach ($hosts as $host) { ?>
        <tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td><input type="checkbox" name="hosts[]" value="<?= $host->id; ?>" /></td>
                <td><?= $host->hostname; ?></td>
                <td>
                <?
                if ($host->ip) { $conf['ui']->display_field($host->ip->ip_addr); }
                else { echo "Dynamic"; }
                ?>
                </td>
                <td>
                <?
                if ($host->last_seen) {
                        $conf['ui']->display_field(date("m\/d\/y",$host->last_seen));
                }
                else {
                        echo "<font class=\"error\">Never Seen</font>";
                }
                ?>
                </td>
        </tr>
<? } //end foreach ?>
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td colspan="2" align="left">
        <input name="select_all" type="button" value="Select All" ONCLICK="setCheckboxes('bulk',true)" />
        <input name="unselect_all" type="button" value="Unselect All" ONCLICK="setCheckboxes('bulk',false)" />
        </td>
        <td colspan="2">
        <input type="hidden" name="action" value="confirm_move_hosts_zone" />
        <input type="submit" value="Move Hosts" />&nbsp;&nbsp;&nbsp;
        <input type="submit" name="action" value="Cancel" />
        </td>   
</table>
<? show_template('bborder'); ?>


</form>
<?
} //end if it's view_bulk_hosts_zone_move

