<?php

/*

 $Id: show_ip_blocks.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_ip_blocks.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show IP Blocks Template
	This tool allows you to view the current IP blocks

*/
?>
<br /><br />
<?
$items = array();
$items[] = "<a href=\"" . $conf['web_path'] . "/ip.php?action=show_add_ip\">Add new IP Block</a>";
$conf['ui']->display_top_widget($items);
?>

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr class="widget-title">
		<td>Name</td>
		<td>Start</td>
		<td>End</td>
		<td>Enabled</td>
		<td>Action</td>
	</tr>
<?

$ip = new IP(0);
if (count($ip_blocks)) { 
foreach ($ip_blocks as $block) {

	$enabled = UI::show_status($block->is_enabled());

?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($block->get_name()); ?></td>
		<td><? $conf['ui']->display_field($ip->int2ip($block->get_start())); ?></td>
		<td><? $conf['ui']->display_field($ip->int2ip($block->get_end())); ?></td>
		<td><? $conf['ui']->display_field($enabled); ?></td>
		<td>
		<? if ($user->is_admin) { ?>
			<a href="<?= $conf['web_path']; ?>/ip.php?action=show_edit_ipblock&amp;block_id=<?= $block->get_id(); ?>">Edit</a> | 
			<? if ($block->is_enabled()) { ?><a href="<?= $conf['web_path']; ?>/ip.php?action=update_ip_block_enabled&amp;enabled=0&amp;block_id=<?= $block->get_id(); ?>">Disable</a> |
			<? } else { ?><a href="<?= $conf['web_path']; ?>/ip.php?action=update_ip_block_enabled&amp;enabled=1&amp;block_id=<?= $block->get_id(); ?>">Enable</a> | <? } ?>
			<a href="<?= $conf['web_path']; ?>/ip.php?action=confirm_delete_ip_block&amp;block_id=<?= $block->get_id(); ?>">Delete</a> 
		<? } else { ?>
			No Actions
		<? } ?>
	</tr>
<? } //end foreach ?>
<? } else { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td colspan="5" class="fatalerror" align="center">No Blocks Found</td>
</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>
</form>

