<?php

/*

 $Id: topbar.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/topbar.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*!
	@header Topbar, part of the header template
	The top bar with info about who is logged in, what they are doing
	and the zone selection widget.
*/

?>
<table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="<?= $conf['color']->bg['dark']; ?>">
<tr>
	<td>
	<a href="http://www.net.oregonstate.edu/maintain"><img src="<?= $conf['web_path']; ?>/images/<?= $conf['color']->img['logo']; ?>" align="left" alt="Maintain website" border="0" <? echo $size[3]; ?> /></a>
	&nbsp;
	</td>
	<td class="titlebar">
	You are currently logged in as:<b> <?= $user->username; ?></b><br />
	<? if ($conf['zone']->name) { ?> You are currently working on <b><?= $conf['zone']->name; ?></b><? } else { ?>You are currently not working on a zone<? } ?>
	</td>

	<td align="right" title="<? $conf['help']->display_plain_txt("zone_pick"); ?>">
	<?
	$zones = $user->get_zones_select();
	if (count($zones) > 1) {
	?>
        <form name="choose_zone" action="<?= $conf['web_path']; ?>/index.php" method="post" enctype="multipart/form-data">
        <?

			if ($user->current_zone)
			{
				$conf['ui']->show_zone_select($zones, $user->current_zone);
			}
			else
			{
				$conf['ui']->show_zone_select($zones, $user->preferred_zone);
            }
        ?>
		<input type="submit" name="action" value="Go!" />
        </form>
	<?	
		}
		else {
			$conf['ui']->show_zone_select($zones, $user->current_zone);
		}
	?>
	</td>
</tr>
</table>
